Bug 1298427 - Pulp does not work with python-pymongo >= 3
Pulp does not work with python-pymongo >= 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulp (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 23:50 EST by Randy Barlow
Modified: 2016-01-19 16:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 16:14:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-01-13 23:50:18 EST
Description of problem:

Pulp cannot connect to MongoDB on Fedora Rawhide:

$ dnf info python-pymongo
Last metadata expiration check performed 1 day, 7:17:12 ago on Tue Jan 12 16:27:32 2016.
Installed Packages
Name        : python-pymongo
Arch        : x86_64
Epoch       : 0
Version     : 3.0.3
Release     : 2.fc24
Size        : 1.3 M
Repo        : @System
From repo   : rawhide
Summary     : Python driver for MongoDB
URL         : http://api.mongodb.org/python
License     : ASL 2.0 and MIT
Description : The Python driver for MongoDB.

[rbarlow@boole pulp]$ sudo -u apache pulp-manage-db
Attempting to connect to localhost:27017
Could not connect to MongoDB at localhost:27017:
Cannot connect to database default :
Unknown option max_pool_size

We will need to determine what to do to support pymongo 2 and pymongo 3.
Comment 1 pulp-infra@redhat.com 2016-01-14 10:45:43 EST
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.
Comment 2 pulp-infra@redhat.com 2016-01-14 10:45:45 EST
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.
Comment 3 Randy Barlow 2016-01-19 16:14:45 EST
This is fixed downstream with a patch:

http://koji.fedoraproject.org/koji/buildinfo?buildID=712375

The upstream bug is still tracking the issue:

https://pulp.plan.io/issues/1528

This pull request will address the issue upstream:

https://github.com/pulp/pulp/pull/2338

Note You need to log in before you can comment on or make changes to this bug.